Subject: [secdir] review of draft-ietf-spring-problem-statement-06

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Mon, 4 Jan 2016 13:25:23 +0000

Hi,

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG. These comments were written primarily for the benefit of the security area directors. Document editors and WG chairs should treat these comments just like any other last call comments.

This document provides a problem statement for source based unicast routing architecture. The document examines a number of typical use cases in order to come up with the requirements for the target architecture.

I believe the document is clear and well-written and ready for publication, with one small nit, see below.

The Security Considerations section is a little bit light, but in line with the rest of the document, so I believe sufficient, provided that a more detailed analysis is done in forthcoming documents. I have one small nit, in the document it says:

—
There is an assumed trust model such that the source imposing an
   explicit route on a packet is assumed to be allowed to do so.  It is
   assumed that the default behavior is to strip any internal routing
   information from the packet before the packet is forwarded outside
   the domain.  In such context trust boundaries SHOULD strip explicit
   routes from a packet.
—

It is unclear to me whether the idea is that if that *only internal* info is stripped, or *all*, i.e. if the provided route is {internal host 1, internal host 2, internal host 3, external host 1, external host 2}, is the idea that at egress the whole specific route is tripped or that what remains is {external host 1, external host 2), with leaving up to the transit or destination network to apply “stripping policy” on the remainder. Please clarify.

Klaas